# Getting Started {#getting-started}

## Tool execution
This guide will show you the basic usage of the _ecological\_assessment_ tool.

!!! note 
    It is assumed that you have the `UNICADO Package` installed, including the executables and UNICADO libraries. If you are a developer, you need to build the tool first (see [build instructions on the UNICADO website](../../../get-involved/build/cpp/)).

The following steps are necessary:
1. Create a dummy `aircraft_exchange_file` and provide all other required inputs (for submodule-dependent minimal required inputs see [here](#submodules)).
2. Fill out the configuration file:
    - change at least in `control_settings`:
        - `aircraft_exchange_file_name` and `aircraft_exchange_file_directory` to your respective settings
        - set `console_output` at least to `mode_1`
        - set `plot_output` to false (or define `inkscape_path` and `gnuplot_path`)
    - all other parameters can be left at default values.
3. Open the terminal and run _ecological\_assessment.exe_

The following will happen:
- you will see output in the console window
- a `.log` file is written within the directory of the executable
- an HTML report is created in the directory of `aircraft_exchange_file_directory/reporting/reportHTML`
- depending on your chosen methods, results are saved in
    - `/aircraft_exchange_file/assessment/average_temperature_response`
    - and/or in the files you'll find in the `aircraft_exchange_file_directory/reporting/plots/` directory
    - and/or in the files you'll find in the `aircraft_exchange_file_directory/reporting/plots/csv_files` directory.

Be aware of the files' timestemp as there could be leftovers of earlier programm executions!

## Changing user input
If you want to adapt the tool's execution, you can modify the parameters within the configuration file. There, you can enable or disable specific aspects of the ecological assessment and select the methods to be used for the calculations. At the [submodule pages](#submodules), you can check which parameters are available.

