# Changelog {#changelog}
## v3.0.0
The *v3.0.0* release is a **major** release with many changes including the *modularization*.


### Changes
The following changes are introduced:

- The nacelle cross section is **always** assumed to be a circle and **not** an ellipse.
- The pylon when the engine is attached to a wing starts now at the leading edge of the wing.
- The pylon chord length stays constant.
- The pylon starts at the top (or bottom) of the nacelle.

### Bugfixes
During the development of this release the following bugs were found and fixed:

- When designing a *rubber* engine, the engine length was scaled incorrectly. The correct formula with ${scale_{engine}}^{0.4} $ is now implemented.

### Changes in the CSR designs
The implemented changes and bugfixes lead to the following changes in the results of the CSR designs.
!!! note 
    Only changes which exceed a 10 % change are listed.

#### CSR-02
|Parameter|Changed introduced by|Old Value|New Value|Unit|
|---|---|---|---|:---|
|Nacelle Mass|The default technology factor changed from `0.65` to `1.0`.|705.1|1085.0|*kg*|
|Pylon Mass|The default technology factor changed from `1.2` to `1.0`.|641.3|534.5|*kg*|
|Engine Length|Bugfix in length scaling|2.674|2.641|*m*|
|Nacelle Inlet Width|Change nacelle cross section to circle shape|1.951|2.259|*m*|
|Pylon Chord Length at Nacelle|Pylon shape and wing attachment changed|4.012|2.641|*m*|
|Pylon Chord Length at Wing|Pylon shape and wing attachment changed|2.077|2.641|*m*|
|Pylon Length/Span|Pylon shape and wing attachment changed|1.186|1.129|*m*|
|Pylon Leading Edge Position at Wing|Pylon shape and wing attachment changed|2.441|1.948|*m*|
