There is no dedicated installer for developers. As a developer you are expected to build your own installer. :wink:

These steps to get you up and running are *(Choose according to your operating system.)*:

- Make sure your build system is working as explained in the [:octicons-checklist-16: developer prerequisites](../get-involved/build-environment/windows.md).
- Ensure you have [:octicons-repo-clone-16: cloned all repositories](../get-involved/get-source-code.md)
- Follow the [:simple-cmake: build instructions](../get-involved/build/general.md) to build the tools. Also check out the [:material-library: libraries](../get-involved/including-libraries.md) and the [CMake Preset](../get-involved/cmake-presets.md) explanation.
- Make yourself acquainted with the [style guides](../get-involved/style/cpp.md).
- Read about the [module structures](../get-involved/style/cpp-modularization.md) to learn about the strategy patterns.
- Learn about the [:material-test-tube-empty: testing procedures](../get-involved/testing.md).
- Read the [contribution instruction](../get-involved/contribute.md) to understand the process.

Now you are ready to contribute :material-file-code: !

In case you need tips on how to set up your IDE, check [here](../get-involved/ide-setup.md).

Relevant for UNICADO owners only: here it is explained how to create the [UNICADO release package](../get-involved/release-package.md) :material-white-balance-incandescent: