---
title: Get UNICADO Source Code
summary: How to clone the UNICADO repositories
authors:
    - Sebastian Oberschwendtner
date: 2024-04-09
---
The source code of **UNICADO** is grouped into different repositories.
You can get an overview of which repository contains which topic [here](../documentation/overview.md).
Whenever one repository needs another repository, we include it as a *Git Submodule*.
If you are not familiar with *Git Submodules*, please read their [Documentation :octicons-link-external-16:](https://git-scm.com/book/en/v2/Git-Tools-Submodules).

## Get the Source Code
The repository [:simple-gitlab: Unicado Package :octicons-link-external-16:](https://git.rwth-aachen.de/unicado/unicado-package) contains all necessary source code as submodules to get started compiling **UNICADO** and its installer.

When you clone the repository for the first time use this command:

=== "Gitlab"

    ```{.sh .copy}
    git clone --recurse-submodules git@git.rwth-aachen.de:unicado/unicado-package.git
    ```

=== "Phabricator"

    ```{.sh .copy}
    git clone --recurse-submodules ssh://git@unicado.ilr.rwth-aachen.de:2222/source/rUNICADO.git
    ```

    !!! note
        *Phabricator* is deprecated it will be removed in the near future!

Should the default branch not yet contain the submodules or you want to update the submodules afterwards, you can do that with:
```{.sh .copy}
git submodule update --init --recursive
```

!!! warning
    Only proceed when all submodules could be checked out successfully. Otherwise the builds will not work!

## Where to find what
In the following instructions we assume, that you cloned the **Unicado Package** as described.
That means, whenever we talk about building inside the *Aircraft Design* folder, we mean the submodule **inside** the **Unicado Package** repository.
In general, you should find every mentioned directory or file in one of the submodules of the **Unicado Package**. :point_up: